Entur Developer
Products

exchanging

Server

Retrieves all exchanging rules

GET
https://api.entur.io/products
/exchanging

Retrieves all exchanging rules › query Parameters

orgId
​string · style: form · explode: true

The unique id to identify an organisation

fareFrameId
​string · style: form · explode: true

The unique id to identify dataset to an organization

Retrieves all exchanging rules › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple
Languagecode
​string · style: simple

The language code for the name and description fields.

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves all exchanging rules › Responses

Returns the resource.

​Exchanging[]
Exchanging
changed
​string · required

Changed datetime.

created
​string · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:Exchanging:MiniFlex
modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: Exchanging
status
​string · enum · required

Exchanging status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
allowed
​string · enum

Allowed.

Enum values:
NONE
PARTIAL
FULL
Example: FULL
canChangeClass
​boolean

Whether user can change class.

compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

exchangeableFromAnyTime
​boolean

Can be exchanged or refunded from any point after purchase.

exchangeableFromDuration
​string

Duration to start of period before (negative) or after (positive) the trigger point resellWhen (i.e. either BEFORE_START_OF_VALIDITY_PERIOD or BEFORE_FIRST_USE) or that ticket may be exchanged or refunded.

Example: PT24H
exchangeableTo
​string · enum

Type of exchange allowed.

Enum values:
ANY_PRODUCT
SAME_PRODUCT_SAME_DAY
SAME_PRODUCT_ANY_DAY
UPGRADE_TO_STANDARD_FARE
SPECIFIED_PRODUCTS
exchangeableUntilAnyTime
​boolean

Can be exchanged or refunded until any point after purchase.

exchangeableUntilDuration
​string

Duration to end of period before (negative) or after ( positive) the trigger point (i.e. either BEFORE_START_OF_VALIDITY_PERIOD or BEFORE_FIRST_USE) that ticket may be exchanged or refunded.

Example: PT24H
​VersionOfObjectRef[]

References for associated fare tables.

hasFee
​boolean

Has fee.

​LimitingRule

A LimitingRule

​VersionOfObjectRef

Fare frame ref.

​TextInLanguage[]

Name represented in different languages. Language codes are ISO-639.

numberOfExchangesAllowed
​integer · int32

Number of times a ticket may be exchanged.

onlyAtCertainDistributionPoints
​boolean

Whether distribution is restricted to certain points.

​FarePrice[]

Prices in different currencies for the exchanging rule.

refundBasis
​string · enum

Basis on which refund is made. See allowed values below.

Enum values:
PER_OFFER
PER_PERSON
Example: PER_OFFER
resellWhen
​string · enum

Event marking when the exchangeable status of the ticket changes.

Enum values:
NEVER
BEFORE_START_OF_VALIDITY_PERIOD
AFTER_START_OF_VALIDITY_PERIOD
AFTER_END_OF_VALIDITY_PERIOD
BEFORE_FIRST_USE
AFTER_FIRST_USE
BEFORE_VALIDATION
AFTER_VALIDATION
Example: NEVER
specifiedProducts
​string[]

Reference to the product IDs where exchanging to is allowed. Only use this in combination with 'exchangeableTo.SPECIFIED_PRODUCTS'

toFareClass
​string · enum

Fare class to which can be exchanged.

Enum values:
FIRST_CLASS
SECOND_CLASS
THIRD_CLASS
ECONOMY_CLASS
BUSINESS_CLASS
TURISTA
PREFERENTE
STANDARD_CLASS
unusedTicketsOnly
​boolean

Unused tickets only.

version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z…

Exchanging version.

Example: NSB:Version:V1

Create an exchanging rule

POST
https://api.entur.io/products
/exchanging

Create an exchanging rule › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Create an exchanging rule › Request Body

​VersionOfObjectRef · required

Fare frame ref.

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:Exchanging:MiniFlex
​TextInLanguage[] · required

Name represented in different languages. Language codes are ISO-639.

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required

UsageValidityPeriod version.

Example: NSB:Version:V1
allowed
​string · enum

Allowed.

Enum values:
NONE
PARTIAL
FULL
Example: FULL
canChangeClass
​boolean

Whether user can change class.

compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

exchangeableFromAnyTime
​boolean

Can be exchanged or refunded from any point after purchase.

exchangeableFromDuration
​string

Exchangeable from duration.

Example: PT24H
exchangeableTo
​string · enum

Type of exchange allowed.

Enum values:
ANY_PRODUCT
SAME_PRODUCT_SAME_DAY
SAME_PRODUCT_ANY_DAY
UPGRADE_TO_STANDARD_FARE
SPECIFIED_PRODUCTS
exchangeableUntilAnyTime
​boolean

Can be exchanged or refunded until any point after purchase.

exchangeableUntilDuration
​string

Exchangeable until duration.

Example: PT24H
hasFee
​boolean

Has fee.

numberOfExchangesAllowed
​integer · int32

Number of times a ticket may be exchanged.

onlyAtCertainDistributionPoints
​boolean

Whether distribution is restricted to certain points.

​FarePriceInsert[]

Fare prices.

refundBasis
​string · enum

Basis on which refund is made. See allowed values below.

Enum values:
PER_OFFER
PER_PERSON
Example: PER_OFFER
resellWhen
​string · enum

Event marking when the exchangeable status of the ticket changes.

Enum values:
NEVER
BEFORE_START_OF_VALIDITY_PERIOD
AFTER_START_OF_VALIDITY_PERIOD
AFTER_END_OF_VALIDITY_PERIOD
BEFORE_FIRST_USE
AFTER_FIRST_USE
BEFORE_VALIDATION
AFTER_VALIDATION,AFTER_PURCHASE
Example: NEVER
specifiedProducts
​string

Reference to the product IDs where exchanging to is allowed. Only use this in combination with 'exchangeableTo.SPECIFIED_PRODUCTS'.

toFareClass
​string · enum

Fare class to which can be exchanged.

Enum values:
FIRST_CLASS
SECOND_CLASS
THIRD_CLASS
ECONOMY_CLASS
BUSINESS_CLASS
TURISTA
PREFERENTE
STANDARD_CLASS
unusedTicketsOnly
​boolean

Unused tickets only.

Create an exchanging rule › Responses

Entity created successfully


Retrieves an exchanging rule by id

GET
https://api.entur.io/products
/exchanging/{id}

Retrieves an exchanging rule by id › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique id to identify an exchanging

Retrieves an exchanging rule by id › query Parameters

version
​string · style: form · explode: true

The id for the version of the purchase window

languageCode
​string · style: form · explode: true

The language code from ISO-639-3

Retrieves an exchanging rule by id › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves an exchanging rule by id › Responses

Returns the info

Exchanging
changed
​string · required

Changed datetime.

created
​string · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:Exchanging:MiniFlex
modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: Exchanging
status
​string · enum · required

Exchanging status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
allowed
​string · enum

Allowed.

Enum values:
NONE
PARTIAL
FULL
Example: FULL
canChangeClass
​boolean

Whether user can change class.

compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

exchangeableFromAnyTime
​boolean

Can be exchanged or refunded from any point after purchase.

exchangeableFromDuration
​string

Duration to start of period before (negative) or after (positive) the trigger point resellWhen (i.e. either BEFORE_START_OF_VALIDITY_PERIOD or BEFORE_FIRST_USE) or that ticket may be exchanged or refunded.

Example: PT24H
exchangeableTo
​string · enum

Type of exchange allowed.

Enum values:
ANY_PRODUCT
SAME_PRODUCT_SAME_DAY
SAME_PRODUCT_ANY_DAY
UPGRADE_TO_STANDARD_FARE
SPECIFIED_PRODUCTS
exchangeableUntilAnyTime
​boolean

Can be exchanged or refunded until any point after purchase.

exchangeableUntilDuration
​string

Duration to end of period before (negative) or after ( positive) the trigger point (i.e. either BEFORE_START_OF_VALIDITY_PERIOD or BEFORE_FIRST_USE) that ticket may be exchanged or refunded.

Example: PT24H
​VersionOfObjectRef[]

References for associated fare tables.

hasFee
​boolean

Has fee.

​LimitingRule

A LimitingRule

​VersionOfObjectRef

Fare frame ref.

​TextInLanguage[]

Name represented in different languages. Language codes are ISO-639.

numberOfExchangesAllowed
​integer · int32

Number of times a ticket may be exchanged.

onlyAtCertainDistributionPoints
​boolean

Whether distribution is restricted to certain points.

​FarePrice[]

Prices in different currencies for the exchanging rule.

refundBasis
​string · enum

Basis on which refund is made. See allowed values below.

Enum values:
PER_OFFER
PER_PERSON
Example: PER_OFFER
resellWhen
​string · enum

Event marking when the exchangeable status of the ticket changes.

Enum values:
NEVER
BEFORE_START_OF_VALIDITY_PERIOD
AFTER_START_OF_VALIDITY_PERIOD
AFTER_END_OF_VALIDITY_PERIOD
BEFORE_FIRST_USE
AFTER_FIRST_USE
BEFORE_VALIDATION
AFTER_VALIDATION
Example: NEVER
specifiedProducts
​string[]

Reference to the product IDs where exchanging to is allowed. Only use this in combination with 'exchangeableTo.SPECIFIED_PRODUCTS'

toFareClass
​string · enum

Fare class to which can be exchanged.

Enum values:
FIRST_CLASS
SECOND_CLASS
THIRD_CLASS
ECONOMY_CLASS
BUSINESS_CLASS
TURISTA
PREFERENTE
STANDARD_CLASS
unusedTicketsOnly
​boolean

Unused tickets only.

version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z…

Exchanging version.

Example: NSB:Version:V1

Retrieves an exchanging rule by id and version

GET
https://api.entur.io/products
/exchanging/{id}/{version}

Retrieves an exchanging rule by id and version › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique id to identify an exchanging

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id for the version of the exchanging

Retrieves an exchanging rule by id and version › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

The language code from ISO-639-3

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves an exchanging rule by id and version › Responses

Returns the info

Exchanging
changed
​string · required

Changed datetime.

created
​string · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:Exchanging:MiniFlex
modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: Exchanging
status
​string · enum · required

Exchanging status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
allowed
​string · enum

Allowed.

Enum values:
NONE
PARTIAL
FULL
Example: FULL
canChangeClass
​boolean

Whether user can change class.

compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

exchangeableFromAnyTime
​boolean

Can be exchanged or refunded from any point after purchase.

exchangeableFromDuration
​string

Duration to start of period before (negative) or after (positive) the trigger point resellWhen (i.e. either BEFORE_START_OF_VALIDITY_PERIOD or BEFORE_FIRST_USE) or that ticket may be exchanged or refunded.

Example: PT24H
exchangeableTo
​string · enum

Type of exchange allowed.

Enum values:
ANY_PRODUCT
SAME_PRODUCT_SAME_DAY
SAME_PRODUCT_ANY_DAY
UPGRADE_TO_STANDARD_FARE
SPECIFIED_PRODUCTS
exchangeableUntilAnyTime
​boolean

Can be exchanged or refunded until any point after purchase.

exchangeableUntilDuration
​string

Duration to end of period before (negative) or after ( positive) the trigger point (i.e. either BEFORE_START_OF_VALIDITY_PERIOD or BEFORE_FIRST_USE) that ticket may be exchanged or refunded.

Example: PT24H
​VersionOfObjectRef[]

References for associated fare tables.

hasFee
​boolean

Has fee.

​LimitingRule

A LimitingRule

​VersionOfObjectRef

Fare frame ref.

​TextInLanguage[]

Name represented in different languages. Language codes are ISO-639.

numberOfExchangesAllowed
​integer · int32

Number of times a ticket may be exchanged.

onlyAtCertainDistributionPoints
​boolean

Whether distribution is restricted to certain points.

​FarePrice[]

Prices in different currencies for the exchanging rule.

refundBasis
​string · enum

Basis on which refund is made. See allowed values below.

Enum values:
PER_OFFER
PER_PERSON
Example: PER_OFFER
resellWhen
​string · enum

Event marking when the exchangeable status of the ticket changes.

Enum values:
NEVER
BEFORE_START_OF_VALIDITY_PERIOD
AFTER_START_OF_VALIDITY_PERIOD
AFTER_END_OF_VALIDITY_PERIOD
BEFORE_FIRST_USE
AFTER_FIRST_USE
BEFORE_VALIDATION
AFTER_VALIDATION
Example: NEVER
specifiedProducts
​string[]

Reference to the product IDs where exchanging to is allowed. Only use this in combination with 'exchangeableTo.SPECIFIED_PRODUCTS'

toFareClass
​string · enum

Fare class to which can be exchanged.

Enum values:
FIRST_CLASS
SECOND_CLASS
THIRD_CLASS
ECONOMY_CLASS
BUSINESS_CLASS
TURISTA
PREFERENTE
STANDARD_CLASS
unusedTicketsOnly
​boolean

Unused tickets only.

version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z…

Exchanging version.

Example: NSB:Version:V1

Update exchanging rule

PUT
https://api.entur.io/products
/exchanging/{id}/{version}

Update exchanging rule › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique id to identify an exchanging

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The id for the version of the exchanging

Update exchanging rule › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Update exchanging rule › Request Body

​VersionOfObjectRef · required

Fare frame ref.

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:Exchanging:MiniFlex
​TextInLanguage[] · required

Name represented in different languages. Language codes are ISO-639.

version
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required

UsageValidityPeriod version.

Example: NSB:Version:V1
allowed
​string · enum

Allowed.

Enum values:
NONE
PARTIAL
FULL
Example: FULL
canChangeClass
​boolean

Whether user can change class.

compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

exchangeableFromAnyTime
​boolean

Can be exchanged or refunded from any point after purchase.

exchangeableFromDuration
​string

Exchangeable from duration.

Example: PT24H
exchangeableTo
​string · enum

Type of exchange allowed.

Enum values:
ANY_PRODUCT
SAME_PRODUCT_SAME_DAY
SAME_PRODUCT_ANY_DAY
UPGRADE_TO_STANDARD_FARE
SPECIFIED_PRODUCTS
exchangeableUntilAnyTime
​boolean

Can be exchanged or refunded until any point after purchase.

exchangeableUntilDuration
​string

Exchangeable until duration.

Example: PT24H
hasFee
​boolean

Has fee.

numberOfExchangesAllowed
​integer · int32

Number of times a ticket may be exchanged.

onlyAtCertainDistributionPoints
​boolean

Whether distribution is restricted to certain points.

​FarePriceInsert[]

Fare prices.

refundBasis
​string · enum

Basis on which refund is made. See allowed values below.

Enum values:
PER_OFFER
PER_PERSON
Example: PER_OFFER
resellWhen
​string · enum

Event marking when the exchangeable status of the ticket changes.

Enum values:
NEVER
BEFORE_START_OF_VALIDITY_PERIOD
AFTER_START_OF_VALIDITY_PERIOD
AFTER_END_OF_VALIDITY_PERIOD
BEFORE_FIRST_USE
AFTER_FIRST_USE
BEFORE_VALIDATION
AFTER_VALIDATION,AFTER_PURCHASE
Example: NEVER
specifiedProducts
​string

Reference to the product IDs where exchanging to is allowed. Only use this in combination with 'exchangeableTo.SPECIFIED_PRODUCTS'.

toFareClass
​string · enum

Fare class to which can be exchanged.

Enum values:
FIRST_CLASS
SECOND_CLASS
THIRD_CLASS
ECONOMY_CLASS
BUSINESS_CLASS
TURISTA
PREFERENTE
STANDARD_CLASS
unusedTicketsOnly
​boolean

Unused tickets only.

Update exchanging rule › Responses

Entity updated successfully

No data returned

Retrieves a exchanging rule by id

GET
https://api.entur.io/products
/v1/exchanging/{id}

Retrieves a exchanging rule by id › path Parameters

id
​string · pattern: ^([A-Z]{3}):([A-Za-z… · required · style: simple

The unique id to identify a exchanging

Retrieves a exchanging rule by id › query Parameters

startDate
​string · style: form · explode: true
endDate
​string · style: form · explode: true
status
​string · style: form · explode: true

The version status of the exchanging rule

fromDate
​string · style: form · explode: true

The from date of the exchanging rules version

toDate
​string · style: form · explode: true

The to date of the exchanging rules version

Retrieves a exchanging rule by id › Headers

ET-Client-Name
​string · style: simple

Entur Client Header. It is required that all consumers identify themselves by using this header. Entur will deploy strict rate-limiting policies on API-consumers who do not identify with a header and reserves the right to block unidentified consumers. The structure of ET-Client-Name should be: <company>-<application>.

X-Correlation-Id
​string · style: simple

Correlation id

Accept-Language
​string · style: simple

The language code from ISO-639-3

If-None-Match
​string · style: simple

Used to make conditional requests. It allows the client to provide an ETag value, and the server will process the request only if the ETag does not match the current version of the resource.

Retrieves a exchanging rule by id › Responses

Returns the info

​Exchanging[]
Exchanging
changed
​string · required

Changed datetime.

created
​string · required

Created datetime.

​VersionOfObjectRef · required

Fare frame ref.

id
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z… · required

Id.

Example: NSB:Exchanging:MiniFlex
modification
​string · enum · required

Modification status.

Enum values:
NEW
REVISE
DELETE
Example: NEW
nameOfClass
​string · required

Name of class.

Example: Exchanging
status
​string · enum · required

Exchanging status.

Enum values:
DRAFT
PROPOSED
VERSIONED
DEPRECATED
Example: DRAFT
allowed
​string · enum

Allowed.

Enum values:
NONE
PARTIAL
FULL
Example: FULL
canChangeClass
​boolean

Whether user can change class.

compatibleWithVersionRef
​string

Compatible with version.

derivedFromVersionRef
​string

Derived from version.

​TextInLanguage[]

Description represented in different languages. Language codes are ISO-639.

exchangeableFromAnyTime
​boolean

Can be exchanged or refunded from any point after purchase.

exchangeableFromDuration
​string

Duration to start of period before (negative) or after (positive) the trigger point resellWhen (i.e. either BEFORE_START_OF_VALIDITY_PERIOD or BEFORE_FIRST_USE) or that ticket may be exchanged or refunded.

Example: PT24H
exchangeableTo
​string · enum

Type of exchange allowed.

Enum values:
ANY_PRODUCT
SAME_PRODUCT_SAME_DAY
SAME_PRODUCT_ANY_DAY
UPGRADE_TO_STANDARD_FARE
SPECIFIED_PRODUCTS
exchangeableUntilAnyTime
​boolean

Can be exchanged or refunded until any point after purchase.

exchangeableUntilDuration
​string

Duration to end of period before (negative) or after ( positive) the trigger point (i.e. either BEFORE_START_OF_VALIDITY_PERIOD or BEFORE_FIRST_USE) that ticket may be exchanged or refunded.

Example: PT24H
​VersionOfObjectRef[]

References for associated fare tables.

hasFee
​boolean

Has fee.

​LimitingRule

A LimitingRule

​VersionOfObjectRef

Fare frame ref.

​TextInLanguage[]

Name represented in different languages. Language codes are ISO-639.

numberOfExchangesAllowed
​integer · int32

Number of times a ticket may be exchanged.

onlyAtCertainDistributionPoints
​boolean

Whether distribution is restricted to certain points.

​FarePrice[]

Prices in different currencies for the exchanging rule.

refundBasis
​string · enum

Basis on which refund is made. See allowed values below.

Enum values:
PER_OFFER
PER_PERSON
Example: PER_OFFER
resellWhen
​string · enum

Event marking when the exchangeable status of the ticket changes.

Enum values:
NEVER
BEFORE_START_OF_VALIDITY_PERIOD
AFTER_START_OF_VALIDITY_PERIOD
AFTER_END_OF_VALIDITY_PERIOD
BEFORE_FIRST_USE
AFTER_FIRST_USE
BEFORE_VALIDATION
AFTER_VALIDATION
Example: NEVER
specifiedProducts
​string[]

Reference to the product IDs where exchanging to is allowed. Only use this in combination with 'exchangeableTo.SPECIFIED_PRODUCTS'

toFareClass
​string · enum

Fare class to which can be exchanged.

Enum values:
FIRST_CLASS
SECOND_CLASS
THIRD_CLASS
ECONOMY_CLASS
BUSINESS_CLASS
TURISTA
PREFERENTE
STANDARD_CLASS
unusedTicketsOnly
​boolean

Unused tickets only.

version
​string · minLength: 1 · pattern: ^([A-Z]{3}):([A-Za-z…

Exchanging version.

Example: NSB:Version:V1

Did you find what you were looking for?